ap-mrtg(8)

NAME
ap-mrtg - AP to MRTG data translator

SYNOPSIS
ap-mrtg -i ip -c community -t type [-b bssid ] [-v] [-r] [-h]

DESCRIPTION
ap-mrtg get stats from AP and return it in MRTG parsable format.
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the traffic load on network-links. MRTG generates HTML pages containing graphical images which provide a LIVE visual representation of this traffic. You may get it from: http://people.ee.ethz.ch/~oetiker/webtools/mrtg/.

OPTIONS

-i ip
    AP ip address

-c community
    SNMP community string

-t type
    Statistics type <w>ireless, <e>thernet, associated <s>tations or <l>ink quality in client mode;

-b bssid
    Mac address of the AP to which get link quality.

-v  report MRTG about problems connecting to AP - if you want to get report about when AP spot work enable it

-r  reset AP when getting LinkQuality stats

-h  print help screen

MRTG Configuration Example
Simple mrtg.cfg for get stats from Atmel based AP:
Target[ap_e]: `/usr/local/bin/ap-mrtg -i 192.168.0.1 -c "public" -t ethernet -v`
Options[ap_e]: noinfo, growright, bits
MaxBytes[ap_e]: 12500
Title[ap_e]: Traffic Analysis for AP Ethernet port
PageTop[ap_e]: <H1>Traffic Analysis for AP Ethernet port</H1>
Target[ap_w]: `/usr/local/bin/ap-mrtg -i 192.168.0.1 -c "public" -t wireless -v`
Options[ap_w]: noinfo, growright, perminute
ShortLegend[ap_w]: pkt/min
MaxBytes[ap_w]: 100000000
Legend1[ap_w]:  Packets In
Legend2[ap_w]:  Packets Out
YLegend[ap_w]: packets/min
Title[ap_w]: Traffic Analysis for AP Wireless port
PageTop[ap_w]: <H1>Traffic Analysis for AP Wireless port</H1>
Target[ap_s]: `/usr/local/bin/ap-mrtg -i 192.168.0.1 -c "public" -t stations -v`
Options[ap_s]: growright, gauge, noinfo
ShortLegend[ap_s]: stations
MaxBytes[ap_s]: 10
YTics[ap_s]: 10
Legend2[ap_s]: none
Legend1[ap_s]: Associated Stations
YLegend[ap_s]: Associated Stations
Title[ap_s]: Traffic Analysis for AP Associated Stations
PageTop[ap_s]: <H1>Traffic Analysis for AP Associated Stations</H1>
LegendO[ap_s]: none
LegendI[ap_s]: Associated Stations

Link Quality stats
If the AP is not in client mode, it errors out. Grabbing the signal strength resets the ethernet and wireless stats and AP. It's safe do not use this type of stat. Optionally you may set mac address (bssid) of the AP to which getting link quality stats, by default used first returned AP. Simple mrtg.cfg for get stats from Atmel based AP with Link Quality and reset stats:
Target[ap_e]: `/usr/local/bin/ap-mrtg -i 192.168.0.1 -c "public" -t ethernet -v`
Options[ap_e]: noinfo, growright, bits, gauge
MaxBytes[ap_e]: 12500
Title[ap_e]: Traffic Analysis for AP Ethernet port
PageTop[ap_e]: <H1>Traffic Analysis for AP Ethernet port</H1>
Target[ap_w]: `/usr/local/bin//ap-mrtg -i 192.168.0.1 -c "public" -t wireless -v`
Options[ap_w]: noinfo, growright, perminute, gauge
ShortLegend[ap_w]: pkt/min
MaxBytes[ap_w]: 100000000
Legend1[ap_w]:  Packets In
Legend2[ap_w]:  Packets Out
YLegend[ap_w]: packets/min
Title[ap_w]: Traffic Analysis for AP Wireless port
PageTop[ap_w]: <H1>Traffic Analysis for AP Wireless port</H1>
Target[EdAP_s]: `/usr/local/bin/ap-mrtg -i 192.168.0.1 -c "public" -t link -b FFFFFFFF -v -r`
MaxBytes[EdAP_s]: 100
Options[EdAP_s]: noinfo,growright,integer,unknaszero,nopercent,gauge
Title[EdAP_s]: Signal Analysis for EdAP Wireless port
YLegend[EdAP_s]: Signal Strength dBm/Quality
ShortLegend[EdAP_s]: dBm
PageTop[EdAP_s]: <H1>Signal/Quality Strength for EdAP</H1>
LegendI[EdAP_s]: Signal Quality
LegendO[EdAP_s]: Signal Strength in dBm

AUTHOR
Roman Festchook <roma@polesye.net>
http://ap-utils.polesye.net

SEE ALSO
ap-config(8), ap-trapd(8)